List team members
curl --request GET \
--url https://api.fanvue.com/v1/agencies/team-members \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/agencies/team-members"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/agencies/team-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true,
"nickname": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"creatorAccess": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "ADMIN"
}
]
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Agency Management
List team members
Get a list of all team members in the authenticated user’s agency.
Requires: Agency admin access
GET
/
v1
/
agencies
/
team-members
List team members
curl --request GET \
--url https://api.fanvue.com/v1/agencies/team-members \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/agencies/team-members"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/agencies/team-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true,
"nickname": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"creatorAccess": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "ADMIN"
}
]
}
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
read:agency— Read agency information, including the agency’s team members.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Was this page helpful?